Jump to content

grandzig

Members
  • Posts

    2
  • Joined

  • Last visited

Profile Information

  • Location
    Montreal
  • Activity
    User/Merchant

grandzig's Achievements

Newbie

Newbie (1/14)

0

Reputation

  1. Bonjour, Tout d'abord, meilleurs voeux de santé, bonheur et réussite pour 2015. Vous n'êtes pas sans savoir que PayPal demande à ses clients de updater le protocole SSL vers le TLS et la date limite est le 12 janvier 2015 qui approche à très grands pas. Mon site www.bijoux-lune.com est fait à partir d'une base Prestashop. Je suis donc allé naturellement vers le Forum Prestashop pour trouver l'information pour m'aider à effectuer cette modification et j'ai trouvé un document intitulé "PayPal modification SSL V3 vers TLS" (voir le fichier du même nom en pièce jointe) et voici le lien http://www.prestashop.com/forums/topic/380193-paypal-modification-ssl-v3-vers-tls/ sur lequel je me suis appuyé pour effectuer lesdites modifications. Ma version Prestashop est la 1.4.8.2 et la version du module de paiement PayPal est la 2.8.7. J'ai suivi scrupuleusement toute la procédure de modification liée à la version de mon Prestashop 1.4 ainsi que de mon module PayPal 2.8.7. Comme indiqué sur la 1ère page du document, j'ai d'abord effectué la mise à jour du module de paiement en téléchargeant sur le site Prestashop la version PayPal 3.8.1. Avant de pouvoir installer le nouveau module de paiement PayPal 3.8.1 et comme indiqué à la fin de la 2ème page du document, j'ai dû télécharger et installer le module de Rétro Compatibilité. L'installation du module de Rétro Compatibilité s'est parfaitement bien déroulé et ensuite j'ai donc pu installer sans aucun problème le nouveau module de paiement PayPal 3.8.1. J'ai continué la procédure de modification inscrite à la 3ème page du document et je me suis connecté à mon FTP afin de changer les 2 lignes de codes dans le fichier module : /modules/paypal/api/paypalconnect.php. Comme demandé, j'ai recherché la ligne suivante @curl_setopt($ch, CURLOPT_SSLVERSION, 3); ou : @curl_setopt($ch, CURLOPT_SSLVERSION, 3); Et j'ai remplacé la ligne ci-dessus par celle-ci-dessous : @curl_setopt($ch,CURLOPT_SSLVERSION, defined(CURL_SSLVERSION_TLSv1) ? CURL_SSLVERSION_TLSv1 : 1); Ensuite j'ai remplacé la ligne : Par la ligne ci-dessous : Vous trouverez en pièce jointe un fichier PDF intitulé " paypal_connect.php" dans lequel vous pourrez voir les modifications les 2 lignes de code. Enfin, j'ai effectué ensuite un essai de paiement par carte bancaire qui n'a pas fonctionné et vous trouverez en pièce jointe un fichier PDF intitulé "Erreur paiement PayPal" avec les erreurs que j'ai rencontrées au moment de la validation du paiement sur mon site internet. Je vous remercie par avance pour votre aide car je suis vraiment perdu. Cordialement, Pierre Zigan Bijoux-Lune.com Le Bijoux-Lune Original Tél France : +33 (0)4 82 53 14 59 Tél Canada : +1 514 654 4429 Courriel : [email protected] Site : www.bijoux-lune.com Prestashop PayPal modification SSL vers TLS.pdf paypal_connect.php.pdf Erreur paiement PayPal.pdf
  2. Bonjour, Tout d'abord, meilleurs voeux à tous en cette nouvelle année 2015. Vous n'êtes pas sans savoir que PayPal demande à ses clients de updater le protocole SSL vers le TLS et la date limite est le 12 janvier 2015 qui approche à grands pas. Mon site www.bijoux-lune.com est fait à partir d'une base Prestashop. Je suis donc allé naturellement vers le Forum Prestashop pour trouver l'information pour m'aider à effectuer cette modification et j'ai trouvé un document intitulé "PayPal modification SSL V3 vers TLS" (voir le fichier du même nom en pièce jointe) et voici le lien http://www.prestashop.com/forums/topic/380193-paypal-modification-ssl-v3-vers-tls/ sur lequel je me suis appuyé pour effectuer lesdites modifications. Ma version Prestashop est la 1.4.8.2 et la version du module de paiement PayPal est la 2.8.7. J'ai suivi scrupuleusement toute la procédure de modification liée à la version de mon Prestashop 1.4 ainsi que de mon module PayPal 2.8.7. Comme indiqué sur la 1ère page du document, j'ai d'abord effectué la mise à jour du module de paiement en téléchargeant sur le site Prestashop la version PayPal 3.8.1. Avant de pouvoir installer le nouveau module de paiement PayPal 3.8.1 et comme indiqué à la fin de la 2ème page du document, j'ai dû télécharger et installer le module de Rétro Compatibilité. L'installation du module de Rétro Compatibilité s'est parfaitement bien déroulé et ensuite j'ai donc pu installer sans aucun problème le nouveau module de paiement PayPal 3.8.1. J'ai continué la procédure de modification inscrite à la 3ème page du document et je me suis connecté à mon FTP afin de changer les 2 lignes de codes dans le fichier module : /modules/paypal/api/paypalconnect.php. Comme demandé, j'ai recherché la ligne suivante @curl_setopt($ch, CURLOPT_SSLVERSION, 3); ou : @curl_setopt($ch, CURLOPT_SSLVERSION, 3); Et j'ai remplacé la ligne ci-dessus par celle-ci-dessous : @curl_setopt($ch,CURLOPT_SSLVERSION, defined(CURL_SSLVERSION_TLSv1) ? CURL_SSLVERSION_TLSv1 : 1); Ensuite j'ai remplacé la ligne : Par la ligne ci-dessous : Vous trouverez en pièce jointe un fichier PDF intitulé " paypal_connect.php" dans lequel vous pourrez voir les modifications les 2 lignes de code. Enfin, j'ai effectué ensuite un essai de paiement par carte bancaire qui n'a pas fonctionné et vous trouverez en pièce jointe un fichier PDF intitulé "Erreur paiement PayPal" avec les erreurs que j'ai rencontrées au moment de la validation du paiement sur mon site internet. Je vous remercie par avance pour votre aide car je suis vraiment perdu. Cordialement, Pierre Zigan Bijoux-Lune.com Le Bijoux-Lune Original Tél France : +33 (0)4 82 53 14 59 Tél Canada : +1 514 654 4429 Courriel : [email protected] Site : www.bijoux-lune.com Prestashop PayPal modification SSL vers TLS.pdfpaypal_connect.php.pdf Erreur paiement PayPal.pdf
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More